# Reference:
# - https://de.wiktionary.org/wiki/Vorlage:K
# - https://de.wiktionary.org/wiki/Vorlage:K/Abk
TEMPLATE_NAME_MAPPING = {
    "kPl.": "kein Plural",
    "übertr.": "übertragen",
    "ugs.": "umgangssprachlich",
    "intrans.": "intransitiv",
    "refl.": "reflexiv",
    "geh.": "gehoben",
    "süddt.": "süddeutsch",
    "nordd.": "norddeutsch",
    "norddt.": "norddeutsch",
    "südd.": "süddeutsch",
    "österr.": "österreichisch",
    "schweiz.": "schweizerisch",
    "reg.": "regional",
    "va.": "veraltet",
    "kSt.": "keine Steigerung",
    "hist.": "historisch",
    "fachspr.": "fachsprachlich",
    "BE": "britisch",
    "brit.": "britisch",
    "vul.": "vulgär",
    "vulg.": "vulgär",
    "adv.": "adverbial",
    "abw.": "abwertend",
    "scherzh.": "scherzhaft",
    "landsch.": "landschaftlich",
    "bildungsspr.": "bildungssprachlich",
    "Abl.": "mit Ablativ",
    "Ablativ": "mit Ablativ",
    "AE": "US-amerikanisch",
    "AmE": "US-amerikanisch",
    "Akkusativ": "mit Akkusativ",
    "alemann.": "alemannisch",
    "alemannisch": "alemannisch",
    "allg.": "allgemein",
    "allgemein": "allgemein",
    "alltagsspr.": "alltagssprachlich",
    "amtsspr.": "amtssprachlich",
    "ansonsten": "ansonsten",
    "attr.": "attributiv",
    "auch": "auch",
    "bair.": "bairisch",
    "bairisch": "bairisch",
    "bar.": "bairisch",
    "BrE": "britisch",
    "Bedva.": "veraltete Bedeutung",
    "Bedvatd.": "veraltende Bedeutung",
    "bei": "bei",
    "bes.": "besonders",
    "besonders": "besonders",
    "beziehungsweise": "beziehungsweise",
    "bzw.": "beziehungsweise",
    "bis": "bis",
    "bisweilen": "bisweilen",
    "das": "das",
    "Dativ": "mit Dativ",
    "DDR": "DDR",
    "der": "der",
    "dichter.": "dichterisch",
    "die": "die",
    "Dim.": "Diminutiv",
    "Dimin.": "Diminutiv",
    "Diminutiv": "Diminutiv",
    "eher": "eher",
    "erzg.": "erzgebirgisch",
    "erzgeb.": "erzgebirgisch",
    "erzgebirgisch": "erzgebirgisch",
    "euph.": "euphemistisch",
    "fam.": "familiär",
    "fig": "figürlich",
    "fig.": "figurativ",
    "früher": "früher",
    "Genitiv": "mit Genitiv",
    "gsm": "schweizerdeutsch",
    "häufig": "häufig",
    "haben": "Hilfsverb haben",
    "hebben": "Hilfsverb hebben",
    "hauptsächlich": "hauptsächlich",
    "ieS": "im engeren Sinne",
    "i.e.S.": "im engeren Sinne",
    "i. e. S.": "im engeren Sinne",
    "im": "im",
    "in": "in",
    "in Bezug auf": "in Bezug auf",
    "indekl.": "indeklinabel",
    "insbes.": "insbesondere",
    "Instrumental": "mit Instrumental",
    "intransitiv": "intransitiv",
    "iPl": "im Plural",
    "iron.": "ironisch",
    "iwS": "im weiteren Sinne",
    "i.w.S.": "im weiteren Sinne",
    "i. w. S.": "im weiteren Sinne",
    "jugendspr.": "jugendsprachlich",
    "kinderspr.": "kindersprachlich",
    "kirchenlateinisch": "kirchenlateinisch",
    "klasslat.": "klassischlateinisch",
    "klassischlateinisch": "klassischlateinisch",
    "kSg.": "kein Singular",
    "lautm.": "lautmalerisch",
    "leicht": "leicht",
    "Ling.": "Linguistik",
    "mA": "mit Akkusativ",
    "md.": "mitteldeutsch",
    "mdal.": "mundartlich",
    "Med.": "Medizin",
    "meißnisch": "meißnisch",
    "Meißnisch": "Meißnisch",
    "meist": "meist",
    "meistens": "meistens",
    "metaphor.": "metaphorisch",
    "meton.": "metonymisch",
    "mG": "mit Genitiv",
    "mit": "mit",
    "mitteld.": "mitteldeutsch",
    "mitunter": "mitunter",
    "mlat.": "mittellateinisch",
    "mittellateinisch": "mittellateinisch",
    "mundartl.": "mundartlich",
    "nDu.": "nur Dual",
    "nigr.": "nigrisch",
    "nkLat.": "nachklassischlateinisch",
    "nlat.": "neulateinisch",
    "noch": "noch",
    "noch in": "noch in",
    "nordwestd.": "nordwestdeutsch",
    "nPl.": "nur Plural",
    "nur": "nur",
    "nur noch": "nur noch",
    "obersächsisch": "obersächsisch",
    "Obersächsisch": "Obersächsisch",
    "oder": "oder",
    "oft": "oft",
    "oftmals": "oftmals",
    "ohne": "ohne",
    "osterländisch": "osterländisch",
    "Osterländisch": "Osterländisch",
    "Österreich": "Österreich",
    "ostfränkisch": "ostfränkisch",
    "pej.": "pejorativ",
    "Plural": "im Plural",
    "poet.": "poetisch",
    "PräpmG": "Präposition mit Genitiv",
    "PmG": "Präposition mit Genitiv",
    "respektive": "respektive",
    "sal.": "salopp",
    "schriftspr.": "schriftsprachlich",
    "schülerspr.": "schülersprachlich",
    "schwäb.": "schwäbisch",
    "schwäbisch": "schwäbisch",
    "Schweiz": "Schweiz",
    "Schweizerdeutsch": "Schweizerdeutsch",
    "seemannsspr.": "seemannssprachlich",
    "sein": "Hilfsverb sein",
    "sehr": "sehr",
    "seltener": "seltener",
    "seltener auch": "seltener auch",
    "soldatenspr.": "soldatensprachlich",
    "sonderspr.": "sondersprachlich",
    "sonst": "sonst",
    "sowie": "sowie",
    "spätlat.": "spätlateinisch",
    "spätlateinisch": "spätlateinisch",
    "später": "später",
    "speziell": "speziell",
    "techn.": "technisch",
    "teils": "teils",
    "teilweise": "teilweise",
    "tlwva.": "veraltete Bedeutung",
    "tlwvatd.": "veraltende Bedeutung",
    "trans.": "transitiv",
    "transitiv": "transitiv",
    "über": "über",
    "überwiegend": "überwiegend",
    "ungebr.": "ungebräuchlich",
    "unpers.": "unpersönlich",
    "unpersönlich": "unpersönlich",
    "ursprünglich": "ursprünglich",
    "vatd.": "veraltend",
    "verh.": "verhüllend",
    "volkst.": "volkstümlich",
    "von": "von",
    "vor allem": "vor allem",
    "vor allem in": "vor allem in",
    "vlat.": "vulgärlateinisch",
    "vulgärlat.": "vulgärlateinisch",
    "vulgärlateinisch": "vulgärlateinisch",
    "wien.": "wienerisch",
    "wienerisch": "wienerisch",
    "Wpräp": "Wechselpräposition",
    "z. B.": "zum Beispiel",
    "z. T.": "zum Teil",
    "zijn": "Hilfsverb zijn",
    "zum Beispiel": "zum Beispiel",
    "zum Teil": "zum Teil",
    "zumeist": "zumeist",
    # not K-Template
    "kStg.": "keine Steigerung",
    "amer.": "US-amerikanisch",
    "mD": "mit Dativ",
}
# Referenz: https://de.wiktionary.org/wiki/Vorlage:K
K_TEMPLATE_WHITESPACE_TRIGGERS = {
    "allg.",
    "allgemein",
    "ansonsten",
    "auch",
    "bei",
    "bes.",
    "besonders",
    "bis",
    "bisweilen",
    "das",
    "der",
    "die",
    "eher",
    "früher",
    "häufig",
    "hauptsächlich",
    "im",
    "in",
    "in Bezug auf",
    "insbes.",
    "leicht",
    "meist",
    "meistens",
    "mit",
    "mitunter",
    "noch",
    "noch in",
    "nur",
    "nur noch",
    "oft",
    "oftmals",
    "ohne",
    "sehr",
    "seltener",
    "seltener auch",
    "sonst",
    "später",
    "speziell",
    "teils",
    "teilweise",
    "über",
    "überwiegend",
    "ursprünglich",
    "von",
    "vor allem",
    "vor allem in",
    "z. B.",
    "z. T.",
    "zum Beispiel",
    "zum Teil",
    "zumeist",
}
# Liste der Konjunktionen die im Modul:Kontext definiert sind
CONJUNCTIONS = {
    "beziehungsweise",
    "bzw.",
    "oder",
    "respektive",
    "sowie",
    "und",
}
